• Post Reply Bookmark Topic Watch Topic
  • New Topic

Help required to install PCtel HSP 56 Modem on Linux 2.4.20-8  RSS feed

 
Ritesh Agrawal
Ranch Hand
Posts: 74
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I have Red Hat Linux9.0 (Shrike) installed on a HP a600n machine. The kernel version is 2.4.20-8. I am trying to install a PCtel HSP 56 Micromodem (rev 1) in the machine. No success till now on making the modem recognized. Installed pctel 0.9.6 driver successfully. But still neither minicom, nor wvdial recognizes the modem.

Any help would be appreciated. Thanks in advance.
 
Ellen Zhao
Ranch Hand
Posts: 581
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you have to use the PCtel HSP 56 Micromodem, the best option I can imagine is...upgrade your dist...You can surely patch your kernel, but usually you'll do much work to

1. find the right patch (not sure whether you would have the luck)
2. configure the kernel (which could be very dizzy)
3. re-compile the kernel (time-consuming and error-prone)...

Hareware installation is by far, IMHO the biggest trouble when one uses linux...

Fedora Core 1, 2, 3 are free for downloading from fedora.redhat.com. If it still doesn't work, try Mandrake or SuSE.

Good Luck,
Ellen
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!